# Sample configuration for environment: sample
dataSources:
    dataSource:
        pooled: true
        dbCreate: update
        dialect: dbdialect.MySQLUTF8InnoDBDialect
        driverClassName: com.mysql.cj.jdbc.Driver
        username: root
        password:
        url: jdbc:mysql://127.0.0.1:3306/winealert?useUnicode=true&characterEncoding=utf-8&autoReconnect=true
        logSql: false
        formatSql: true
        properties:
            dbProperties:
                autoReconnect: true
                zeroDateTimeBehavior: convertToNull
    wineDatabase:
        pooled: true
        dbCreate: validate
        dialect: dbdialect.MySQLUTF8InnoDBDialect
        driverClassName: com.mysql.cj.jdbc.Driver
        username: root
        password:
        url: jdbc:mysql://127.0.0.1:3306/winedb?useUnicode=true&characterEncoding=utf-8&autoReconnect=true
        logSql: false
        formatSql: true
        properties:
            dbProperties:
                autoReconnect: true
                zeroDateTimeBehavior: convertToNull
application:
    api:
        wine-recognition:
            token: 7FLSDLraXBZUGpaKAVXc845oWnCWXsX8XmL1QjpFraUkGjXI9v
            url:
                approve: http://localhost:8081/api/v1/approve/
                data-img: http://ec2-52-23-203-121.compute-1.amazonaws.com/data/images/
                temp-img: http://ec2-52-23-203-121.compute-1.amazonaws.com/temp/images/
                undo: http://localhost:8081/api/v1/undo/
    archive.location: /Users/marjan/Workspace/files/winealert/archive
    config:
        backupLocation: /Users/marjan/Workspace/files/winealert/backup/config
        location: /Users/marjan/Workspace/files/winealert/config
    crawlOut:
        backupLocation: /Users/marjan/Workspace/files/winealert/backup/input
        location: /Users/marjan/Workspace/files/winealert/input
    cronServer:
        sftpHost: "cronstage.robertparker.com"
        sftpUsername: "winealert"
        sftpPassword: ""
        workingDir: "/home/winealert/request-folder/retailerTastingNotes/"
    download.location: /Users/marjan/Workspace/files/winealert/download
    fixer:
        apiKey: 37e1ab75cb47df41ce3f8de9e1e54b8f
        url: "http://data.fixer.io/api/latest?&access_key={apiKey}"
    history:
        backupLocation: /Users/marjan/Workspace/files/winealert/backup/history
        location: /Users/marjan/Workspace/files/winealert/history
    matched:
        backupLocation: /Users/marjan/Workspace/files/winealert/backup/matched
        location: /Users/marjan/Workspace/files/winealert/matched
    matcher.maxThreads: 60
    tastingNotes:
        sftpHost: "uploadstage.winealert.com"
        sftpUsername: "ftdev"
        sftpPassword: ""
        workingDir: "/local/"
